Get a project by ID

Get a project with the given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this project.
created_atdatetime
UTC date and time when this project was created.
updated_atdatetime
UTC date and time when this project was last updated.
entity_idstringformat: "uuid"
ID of the entity that owns this project.
namestring1-255 characters
The project name.
codestringformat: "^[a-zA-Z0-9]+$"1-20 characters

A user-defined identifier of this project.

colorstring<=128 characters

Project color as a CSS-compatible value. Client applications can use this to color-code the projects or project-related data.

created_by_entity_user_idstringformat: "uuid"

ID of the entity user who created this project, or null if it was created using a partner access token.

descriptionstring<=1024 characters

A user-defined description of the project.

end_datestringformat: "date"
Project end date.
parent_idstringformat: "uuid"
Unused. Reserved for future use.
partner_metadatamap from strings to any

Metadata for partner needs.

start_datestringformat: "date"
Project start date.
tagslist of objects

A list of user-defined tags (labels) assigned to this project.

Errors

400
Get Projects ID Request Bad Request Error
401
Get Projects ID Request Unauthorized Error
403
Get Projects ID Request Forbidden Error
404
Get Projects ID Request Not Found Error
422
Get Projects ID Request Unprocessable Entity Error
429
Get Projects ID Request Too Many Requests Error